Create a sub-user
curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/brightdata/users/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data_gb": 123,
"ips": [
"<string>"
]
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/brightdata/users/create"
payload = {
"data_gb": 123,
"ips": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data_gb: 123, ips: ['<string>']})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/brightdata/users/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "<string>",
"user_id": "<string>",
"password": "<string>",
"data_gb": 123,
"data_usage": 123,
"data_remaining": 123,
"status": "<string>",
"whitelisted_ips": [
"<string>"
],
"date_created": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "User <username or user_id> already exists",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Brightdata
Create a sub-user
data_gb (amount you want to give user in gb) and a ips (list of IPs to whitelist for a sub-user, This is optional) to create a sub-user. Returns a user_id, username, password, status, data_gb and date_created of created user
POST
/
proxy_api
/
v1
/
brightdata
/
users
/
create
Create a sub-user
Authorizations
[just text field] Please enter token in following format: Bearer
Body
application/json
Response
User created
username
user_id
Password
Data gb
Data gb used
Data gb remaining
User Status
Whitelisted IPs
Date Created
⌘I

